Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class QueryQBEInfo

    java.lang.Object
      jet.api.QueryQBEInfo

    public class QueryQBEInfo

extends java.lang.Object

Constructor Summary
`QueryQBEInfo()` Constructor.
`QueryQBEInfo(java.lang.String columnName, java.lang.String expression)` Constructor.

Method Summary
`void` | `add(java.lang.String columnName, java.lang.String expression)` Adds a QBE condition into the query.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryQBEInfo

    public QueryQBEInfo()

  Constructor. Creates a container to manipulate the definitions of a query's QBE(Query By Example) conditions. The QBE(Query By Example) is a filter by which you can define certain criteria for the fields of a query to be retrieved from the database, so that when you build reports on the query, the returned results will be narrowed down. A certain QBE maybe like: tablen.column (>)= XXX.

### QueryQBEInfo

    public QueryQBEInfo(java.lang.String columnName,
                        java.lang.String expression)

  Constructor. Creates a container to manipulate the definitions of a query join object. It also creates a definition of QBE and add it into the container. The QBE(Query By Example)is a filter by which you can define certain criteria for the fields of a query to be retrieved from the database, so that when you build reports on the query, the returned results will be narrowed down. A certain QBE maybe like: columnName (> XXX).

  Parameters:
    `columnName` - Specifies the column's mapping name of the QBE condition.
    `expression` - Specifies the expression of the QBE condition.

Method Detail

### add

    public void add(java.lang.String columnName,
                    java.lang.String expression)

  Adds a QBE condition into the query.

  Parameters:
    `columnName` - Specifies the column's mapping name of the QBE condition.
    `expression` - Specifies the expression of the QBE condition.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD